Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001476TestLinkRequirement Managementpublic2008-04-10 04:342008-12-08 20:04
Reporterjohnnieinlab 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformPCOSWindowsOS Version2000 pro
Product Version1.8 Beta 1 
Fixed in Version1.8 Beta 3 
Summary0001476: Scope text is missing when editing a requirement in 1.8.0 beta
DescriptionScope field is always empty when editing a requirement.
It does not load the stored value.
Steps To Reproduce1. Create a new requirement document
2. Create a requirement and fill the ID, title and scope fields with some values
3. save /submit the requirement

4. open the requirement and click Edit

Expected result:
The Scope field has the value stored in the database

Actual result:
The Scope value is empty

Additional InformationPossible solution seems to add the line

$args->scope = $req['scope'];

in file
.\lib\requirements\reqEdit.php

on line 73
inside the 'case "edit":' switch statement
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserIE6 and Firefox 2.0.0.10
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2008-04-10 04:34 johnnieinlab New Issue
2008-04-10 04:34 johnnieinlab Browser => IE6 and Firefox 2.0.0.10
2008-04-11 15:46 fman Status new => assigned
2008-04-11 15:46 fman Assigned To => fman
2008-11-09 01:35 fman Status assigned => resolved
2008-11-09 01:35 fman Fixed in Version => 1.8 Beta 3
2008-11-09 01:35 fman Resolution open => fixed
2008-12-08 20:04 mhavlat Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker